{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "题号: 012550 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012551 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012552 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012553 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012554 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012555 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012556 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012557 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012558 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012559 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012560 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012561 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012562 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012563 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012564 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012565 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012566 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012567 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012568 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012569 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012570 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012571 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012572 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012573 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012574 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012575 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012576 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012577 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012578 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012579 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012580 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012581 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012582 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012583 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012584 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012585 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012586 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012587 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012588 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012589 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012590 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012591 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012592 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012593 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012594 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012595 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012596 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012597 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012598 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012599 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012600 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012601 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012602 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012603 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012604 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012605 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012606 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012607 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012608 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012609 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012610 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012611 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012612 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012613 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012614 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012615 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012616 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012617 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012618 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012619 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012620 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012621 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012622 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012623 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012624 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012625 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012626 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012627 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012628 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012629 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012630 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012631 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012632 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012633 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012634 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012635 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012636 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012637 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012638 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012639 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012640 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012641 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012642 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012642 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012643 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012644 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012645 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012646 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012647 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012648 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012649 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012650 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012651 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012652 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012653 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012654 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012655 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012656 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012657 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012658 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012659 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012660 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012661 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012662 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012663 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012664 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012665 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012666 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012667 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012668 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012669 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012670 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012671 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012672 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012673 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012674 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012675 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012676 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012677 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012678 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012679 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012680 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012681 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012682 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012683 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012684 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012685 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012685 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012686 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012686 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012687 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012688 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012689 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012690 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012691 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012692 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012693 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012694 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012695 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012696 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012697 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012698 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012699 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012700 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012701 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012702 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012703 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012704 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012705 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012705 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012706 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012707 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012708 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012709 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012710 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012711 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012712 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012713 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012714 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012715 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012716 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012717 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012718 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012719 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012720 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012721 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012722 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012723 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012724 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012725 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012726 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012727 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012728 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012729 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012730 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012731 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012731 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012732 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012733 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012734 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012735 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012736 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012737 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012738 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012739 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012740 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012741 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012742 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012743 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012744 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012745 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012746 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012747 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012748 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012749 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012750 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012751 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012751 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012752 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012753 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012754 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012755 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012756 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012757 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012757 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012758 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012759 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012760 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012761 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012762 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012763 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 012764 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012765 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012766 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012767 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012768 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012769 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012770 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012771 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012772 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012773 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012774 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 012775 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012776 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012777 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 012778 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 012779 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012780 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012781 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012782 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012783 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012783 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012784 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012784 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012785 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012785 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012786 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012787 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012788 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012788 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012789 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012790 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012791 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012792 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012792 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012793 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012794 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012795 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012796 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012796 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012797 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012797 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012798 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012799 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012800 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012801 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012802 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012803 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012804 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012805 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012806 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012807 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012808 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012809 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012810 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012811 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012812 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012813 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012814 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012815 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012816 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012817 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012818 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012819 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012820 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012821 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012822 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012823 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012824 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012825 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012826 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012827 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012828 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012829 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012830 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012831 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012832 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012833 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012834 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012835 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012835 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012836 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012837 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012838 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012839 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012840 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012841 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012842 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012843 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012844 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012845 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012846 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012847 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012848 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012849 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012850 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012851 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012852 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012853 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012854 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012855 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012856 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012856 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012857 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012858 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012859 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012860 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012861 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012862 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012863 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012864 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012865 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012866 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012867 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012868 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012869 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012870 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012871 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012872 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012873 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012874 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012875 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012876 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012877 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012878 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012879 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012880 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012881 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012882 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012883 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012884 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012885 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012886 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012887 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012888 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012889 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012890 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012891 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012891 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 012892 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012893 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012894 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012895 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012896 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012897 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012898 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012899 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012900 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012901 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012902 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012903 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012904 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012905 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012906 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012907 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012908 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012909 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012910 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012911 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012912 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012913 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012914 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012915 , 字段: tags 中已添加数据: 第二单元\n",
      "题号: 012915 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 012916 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012917 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012918 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012919 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012920 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012921 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012922 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012923 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012924 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012925 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012926 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012927 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012928 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012929 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012930 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012931 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012932 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012933 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012934 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012935 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012936 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012937 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012938 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012939 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012940 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012941 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012942 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012943 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012944 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012945 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012946 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012947 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012948 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012949 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012950 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012951 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012952 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012953 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012954 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012955 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012956 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012957 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012958 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012959 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012960 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012961 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012961 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 012962 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012963 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012964 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012965 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012966 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012967 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012968 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012969 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012970 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012971 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012972 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012973 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012974 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012975 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012976 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012977 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012978 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012979 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012980 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012981 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012982 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012983 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012984 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012985 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012986 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012987 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012988 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012989 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012990 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012991 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012992 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012993 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012994 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012995 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012996 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012997 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012998 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 012999 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013000 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013001 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013002 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013003 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013004 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013005 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013006 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013007 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013008 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013009 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013010 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013011 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013012 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013013 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013014 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013015 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013016 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013017 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013018 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013019 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013020 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013021 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013022 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013023 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013024 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013025 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013026 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013027 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013028 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013029 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013030 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013031 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013032 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013033 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013034 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013035 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013036 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013037 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013038 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013039 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013040 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013041 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013042 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013043 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013044 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013045 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013046 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013047 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013048 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013049 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013050 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013051 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013052 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013053 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013054 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013055 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013056 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013057 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013058 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013059 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013060 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013061 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013062 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013063 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013064 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013065 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013066 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013067 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013068 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013069 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013070 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013071 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013072 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013073 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013074 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013075 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013076 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013077 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013078 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013079 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013080 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013081 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013082 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013083 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013084 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013085 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013086 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013087 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013088 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013089 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013090 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013091 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013092 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013093 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013094 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013095 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013096 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013097 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013098 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013099 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013100 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013101 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013102 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013103 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013104 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013105 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013106 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013107 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013108 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013109 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013110 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013111 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013112 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013113 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013114 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013115 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013116 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013117 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013118 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013119 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013120 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013121 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013122 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013123 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013124 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013125 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013126 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013127 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013128 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013129 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013130 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013131 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013132 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013133 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013134 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013135 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013136 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013137 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013138 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013139 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013140 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013141 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013142 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013143 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013144 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013145 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013146 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013147 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013148 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013149 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013150 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013151 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013152 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013153 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013154 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013155 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013156 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013157 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013158 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013158 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013159 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013160 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013161 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013162 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013163 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013164 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013165 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013166 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013167 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013168 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013169 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013170 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013171 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013172 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013173 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013174 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013175 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013176 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013177 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013178 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013179 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013180 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013181 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013182 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013183 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013184 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013185 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013186 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013187 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013188 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013189 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013190 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013191 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013192 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013193 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013194 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013195 , 字段: tags 中已添加数据: 第六单元\n",
      "题号: 013196 , 字段: tags 中已添加数据: 第一单元\n",
      "题号: 013197 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013198 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013199 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013200 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013201 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013202 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013203 , 字段: tags 中已添加数据: 第三单元\n",
      "题号: 013203 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013204 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013205 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013206 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013207 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013208 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013209 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013210 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013211 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013212 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013213 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013214 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013215 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013216 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013217 , 字段: tags 中已添加数据: 第五单元\n",
      "题号: 013218 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013219 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013220 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013221 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013222 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013223 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013224 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013225 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013225 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013226 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013227 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013228 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013229 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013230 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013231 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013232 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013233 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013234 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013235 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013236 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013237 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013238 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013239 , 字段: tags 中已添加数据: 第九单元\n",
      "题号: 013239 , 字段: tags 中已添加数据: 第四单元\n",
      "题号: 013239 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013240 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013241 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013242 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013243 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013244 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013245 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013246 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013247 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013248 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013249 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013250 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013251 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013252 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013253 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013254 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013255 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013256 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013257 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013258 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013259 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013260 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013261 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013262 , 字段: tags 中已添加数据: 暂无对应\n",
      "题号: 013263 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013264 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013265 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013266 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013267 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013268 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013269 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013270 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013271 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013272 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013273 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013274 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013275 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013276 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013277 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013278 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013279 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013280 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013281 , 字段: tags 中已添加数据: 第七单元\n",
      "题号: 013282 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013283 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013284 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013285 , 字段: tags 中已添加数据: 第八单元\n",
      "题号: 013286 , 字段: tags 中已添加数据: 第七单元\n"
     ]
    }
   ],
   "source": [
    "import os,re,json\n",
    "\n",
    "\"\"\"---明确数据文件位置---\"\"\"\n",
    "datafile = \"文本文件/metadata.txt\"\n",
    "# 双回车分隔，记录内单回车分隔列表，首行为字段名\n",
    "\"\"\"---文件位置结束---\"\"\"\n",
    "\n",
    "def trim(string):\n",
    "    string = re.sub(r\"^[ \\t\\n]*\",\"\",string)\n",
    "    string = re.sub(r\"[ \\t\\n]*$\",\"\",string)\n",
    "    return string\n",
    "def FloatToInt(string):\n",
    "    f = float(string)\n",
    "    if abs(f-round(f))<0.01:\n",
    "        f = round(f)\n",
    "    return f\n",
    "\n",
    "with open(datafile,\"r\",encoding=\"utf8\") as f:\n",
    "    data = f.read().strip()\n",
    "pos = data.index(\"\\n\")\n",
    "field = data[:pos].strip()\n",
    "appending_data = data[pos:]\n",
    "\n",
    "with open(r\"../题库0.3/Problems.json\",\"r\",encoding = \"utf8\") as f:\n",
    "    database = f.read()\n",
    "pro_dict = json.loads(database)\n",
    "with open(r\"../题库0.3/LessonObj.json\",\"r\",encoding = \"utf8\") as f:\n",
    "    database = f.read()\n",
    "obj_dict = json.loads(database)\n",
    "\n",
    "#该字段列表可能需要更新\n",
    "fields = [\"content\",\"objs\",\"tags\",\"genre\",\"ans\",\"solution\",\"duration\",\"usages\",\"origin\",\"edit\",\"same\",\"related\",\"remark\",\"space\"]\n",
    "\n",
    "if field in fields:\n",
    "    field_type = type(pro_dict[\"000001\"][field])\n",
    "    datalist = [record.strip() for record in appending_data.split(\"\\n\\n\") if len(trim(record)) > 0]\n",
    "    for record in datalist:\n",
    "        id = re.findall(r\"^[\\d]{1,}\",record)[0]\n",
    "        data = record[len(id):].strip()\n",
    "        id = id.zfill(6)\n",
    "        if not id in pro_dict:\n",
    "            print(\"题号:\",id,\"不在数据库中.\")\n",
    "            break\n",
    "        \n",
    "        #字符串类型字段添加数据\n",
    "        elif field_type == str and data in pro_dict[id][field]:\n",
    "            print(\"题号:\",id,\", 字段:\",field,\"中已有该数据:\",data)\n",
    "        elif field_type == str and not data in pro_dict[id][field] and not field == \"ans\" and not field == \"space\":\n",
    "            origin_data = pro_dict[id][field]\n",
    "            new_data = trim(origin_data + \"\\n\" + data)\n",
    "            pro_dict[id][field] = new_data\n",
    "            print(\"题号:\",id,\", 字段:\",field,\"中已添加数据:\",data)\n",
    "        elif field_type == str and not data in pro_dict[id][field] and field == \"ans\" or field == \"space\":\n",
    "            pro_dict[id][field] = data\n",
    "            print(\"题号:\",id,\", 字段:\",field,\"中已修改数据:\",data)\n",
    "        \n",
    "        #数值类型字段添加数据\n",
    "        elif (field_type == int or field_type == float) and abs(float(data) - pro_dict[id][field])<0.01:\n",
    "            print(\"题号:\",id,\", 字段:\",field,\"中已有该数据:\",FloatToInt(data))\n",
    "        elif (field_type == int or field_type == float) and abs(float(data) - pro_dict[id][field])>=0.01:\n",
    "            pro_dict[id][field] = FloatToInt(data)\n",
    "            print(\"题号:\",id,\", 字段:\",field,\"中已修改数据:\",FloatToInt(data))\n",
    "        \n",
    "        #列表类型字段添加数据\n",
    "        elif field_type == list:\n",
    "            cell_data_list = [d.strip() for d in data.split(\"\\n\")]\n",
    "            for cell_data in cell_data_list:\n",
    "                if cell_data in pro_dict[id][field]:\n",
    "                    print(\"题号:\",id,\", 字段:\",field,\"中已有该数据:\",cell_data)\n",
    "                elif not field == \"objs\":\n",
    "                    pro_dict[id][field].append(cell_data)\n",
    "                    print(\"题号:\",id,\", 字段:\",field,\"中已添加数据:\",cell_data)\n",
    "                else:\n",
    "                    if not cell_data in obj_dict and not cell_data.upper() == \"KNONE\":\n",
    "                        print(\"题号:\",id,\", 字段:\",field,\"目标编号有误:\",cell_data)\n",
    "                    else:\n",
    "                        pro_dict[id][field].append(cell_data.upper())\n",
    "                        print(\"题号:\",id,\", 字段:\",field,\"中已添加数据:\",cell_data.upper())\n",
    "\n",
    "with open(r\"../题库0.3/Problems.json\",\"w\",encoding = \"utf8\") as f:\n",
    "    f.write(json.dumps(pro_dict,indent=4,ensure_ascii=False))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3.9.15 ('pythontest')",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.15"
  },
  "orig_nbformat": 4,
  "vscode": {
   "interpreter": {
    "hash": "91219a98e0e9be72efb992f647fe78b593124968b75db0b865552d6787c8db93"
   }
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
